#!/bin/bash
version=1.0.117.0
rm -rf build
mkdir -p build
cd build

# Download method A (fossil source control dump, slow)
#wget https://system.data.sqlite.org/index.html/zip/release-$version/sds-release-$version.zip
#unzip sds-release-$version.zip -d sds-$version
#mv sds-$version/sds-release-$version sqlite-netFx-source-$version
#rm -r sds-$version

# Download method B (release zip, possibly unavailable for weeks/months after an update was released)
wget https://system.data.sqlite.org/blobs/$version/sqlite-netFx-source-$version.zip
unzip sqlite-netFx-source-$version.zip -d sqlite-netFx-source-$version

# Unified steps
cd sqlite-netFx-source-$version
sed -i '' 's/gccflags="-arch x86_64"/gccflags="-arch arm64"/g' ./Setup/compile-interop-assembly-release.sh
bash ./Setup/compile-interop-assembly-release.sh
cd ../..
mkdir -p build/runtimes/osx-arm64/native
cp build/sqlite-netFx-source-$version/bin/2013/Release/bin/SQLite.Interop.dll build/runtimes/osx-arm64/native/SQLite.Interop.dll
ls -lah build/runtimes/osx-arm64/native
dotnet build
nuget pack
